import { StatementPossibilities, Statements } from './statement';
export declare class CaseStatement extends Statements {
    protected value: string;
    constructor(value: string, body: StatementPossibilities, objectInitializer?: Partial<CaseStatement>);
    protected readonly statementsImplementation: string;
    readonly implementation: string;
}
export declare class DefaultCaseStatement extends CaseStatement {
    constructor(body: StatementPossibilities, objectInitializer?: Partial<DefaultCaseStatement>);
    readonly implementation: string;
}
export declare class TerminalDefaultCaseStatement extends CaseStatement {
    constructor(body: StatementPossibilities, objectInitializer?: Partial<TerminalDefaultCaseStatement>);
    readonly implementation: string;
}
export declare class TerminalCaseStatement extends CaseStatement {
    constructor(value: string, body: StatementPossibilities, objectInitializer?: Partial<TerminalCaseStatement>);
    readonly implementation: string;
}
export declare function DefaultCase(body: StatementPossibilities, objectInitializer?: Partial<CaseStatement>): CaseStatement;
export declare function Case(value: string, body: StatementPossibilities, objectInitializer?: Partial<CaseStatement>): CaseStatement;
export declare function TerminalDefaultCase(body: StatementPossibilities, objectInitializer?: Partial<CaseStatement>): TerminalDefaultCaseStatement;
export declare function TerminalCase(value: string, body: StatementPossibilities, objectInitializer?: Partial<CaseStatement>): TerminalCaseStatement;
//# sourceMappingURL=case.d.ts.map