import { Initializer } from '@azure-tools/codegen';
import { Expression, ExpressionOrLiteral } from '../expression';
import { CaseStatement } from './case';
import { Statement } from './statement';
export declare type OneOrMoreCases = (() => Iterable<CaseStatement>) | Iterable<CaseStatement> | CaseStatement;
export declare class SwitchStatement extends Initializer implements Statement {
    protected expression: Expression;
    protected caseStatements: CaseStatement[];
    readonly implementation: string;
    constructor(expression: Expression, cases: OneOrMoreCases, objectInitializer?: Partial<SwitchStatement>);
    add(cases: OneOrMoreCases): void;
}
export declare function Switch(expression: ExpressionOrLiteral, cases: OneOrMoreCases, objectInitializer?: Partial<SwitchStatement>): SwitchStatement;
//# sourceMappingURL=switch.d.ts.map